org.apache.calcite.avatica

## Class MetaImpl.MetaIndexInfo

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaIndexInfo

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaIndexInfo
    extends Object

Metadata describing index info.

### Field Summary

Fields
`String` `ascOrDesc`
`long` `cardinality`
`String` `columnName`
`String` `filterCondition`
`String` `indexName`
`String` `indexQualifier`
`boolean` `nonUnique`
`short` `ordinalPosition`
`long` `pages`
`String` `tableCat`
`String` `tableName`
`String` `tableSchem`
`short` `type`

### Constructor Summary

Constructors
Constructor and Description
`MetaImpl.MetaIndexInfo(String tableCat, String tableSchem, String tableName, boolean nonUnique, String indexQualifier, String indexName, short type, short ordinalPosition, String columnName, String ascOrDesc, long cardinality, long pages, String filterCondition)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final String tableCat

#### tableSchem

    public final String tableSchem

#### tableName

    public final String tableName

#### nonUnique

    public final boolean nonUnique

#### indexQualifier

    public final String indexQualifier

#### indexName

    public final String indexName

#### type

    public final short type

#### ordinalPosition

    public final short ordinalPosition

#### columnName

    public final String columnName

#### ascOrDesc

    public final String ascOrDesc

#### cardinality

    public final long cardinality

#### pages

    public final long pages

#### filterCondition

    public final String filterCondition

### Constructor Detail

#### MetaImpl.MetaIndexInfo

    public MetaImpl.MetaIndexInfo(String tableCat,
                          String tableSchem,
                          String tableName,
                          boolean nonUnique,
                          String indexQualifier,
                          String indexName,
                          short type,
                          short ordinalPosition,
                          String columnName,
                          String ascOrDesc,
                          long cardinality,
                          long pages,
                          String filterCondition)